unit CadEspecieMercadoria;
                                                             
interface

uses
  Windows, system.UItypes, IB_Access,  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ModeloCadastro, IB_Components, Grids, IB_Grid, StdCtrls,
  Buttons, ExtCtrls, ComCtrls, Mask, IB_Controls, jpeg, AppEvnts, ImgList,
  UCBase, IB_EditButton, System.ImageList;

type
  TfrmCadEspecieMercadoria = class(TFrModeloCadastro)
    edtDescricao: TIB_Edit;
    edtAbreviatura: TIB_Edit;
    GroupBox2: TGroupBox;
    dbCodigo: TIB_Text;
    procedure FormCreate(Sender: TObject);
    procedure BtInserirClick(Sender: TObject);
    procedure BtGravarClick(Sender: TObject);
    procedure BtExcluirClick(Sender: TObject);
    procedure btnEditar2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCadEspecieMercadoria: TfrmCadEspecieMercadoria;

implementation

{$R *.dfm}

procedure TfrmCadEspecieMercadoria.FormCreate(Sender: TObject);
begin
   Gera_Codigo  := True;
   Chave_Tabela := 'COD_ESPECIE_MERCADORIA';

   Descricao_Unica  := True;
   Campo_Tabela     := 'DESCRICAO';

   inherited;
end;

procedure TfrmCadEspecieMercadoria.BtInserirClick(Sender: TObject);
begin
   inherited;
   try
      edtDescricao.SetFocus;
      except
   end;
end;

procedure TfrmCadEspecieMercadoria.BtGravarClick(Sender: TObject);
begin
   if edtDescricao.Text = '' then
   begin
      MessageDlg('Informe a descrição', mtInformation, [mbOK], 0);
      edtDescricao.SetFocus;
      Exit;
   end;

   if edtAbreviatura.Text = '' then
   begin
      MessageDlg('Informe a abreviatura', mtWarning, [mbOK], 0);
      edtAbreviatura.SetFocus;
      Exit;
   end
   else
   begin
      qryPesquisa.Close;
      qryPesquisa.SQL.Clear;
      qryPesquisa.SQl.Add('SELECT * ');
      qryPesquisa.SQl.Add('   FROM '+Nome_Tabela);
      qryPesquisa.SQl.Add('   WHERE ABREVIATURA =:VARDESCRICAO');
      qryPesquisa.ParamByName('VARDESCRICAO').Value:=edtAbreviatura.Text;
      qryPesquisa.Open;
      if (qryPesquisa.RecordCount >= 1) and (TbPrincipal.FieldByName(Chave_Tabela).Value <> qryPesquisa.FieldByName(Chave_Tabela).Value ) then
      begin
         MessageDlg('Abreviatura já cadastrada', mtWarning, [mbOK], 0);
         edtAbreviatura.SetFocus;
         Exit;
      end;
   end;

   if TbPrincipal.State in [dssInsert] then
      descricao_auditoria := 'CADASTROU A ESPECIE DE MERCADORIA ' + TbPrincipal.FieldByName('COD_ESPECIE_MERCADORIA').AsString + ' '+ TbPrincipal.FieldByName('DESCRICAO').AsString;

   if TbPrincipal.State in [dssEdit] then
      descricao_auditoria := 'ALTEROU A ESPECIE DE MERCADORIA ' + TbPrincipal.FieldByName('COD_ESPECIE_MERCADORIA').OldAsString + ' '+ TbPrincipal.FieldByName('DESCRICAO').OldAsString;

   inherited;

end;

procedure TfrmCadEspecieMercadoria.BtExcluirClick(Sender: TObject);
begin
   descricao_auditoria := 'EXCLUIU A ESPECIE DE MERCADORIA ' + TbPrincipal.FieldByName('COD_ESPECIE_MERCADORIA').OldAsString + ' '+ TbPrincipal.FieldByName('DESCRICAO').OldAsString;
   inherited;

end;

procedure TfrmCadEspecieMercadoria.btnEditar2Click(Sender: TObject);
begin
  inherited;
   edtDescricao.SetFocus;
end;

end.
